#include <stdio.h>
#include <stdlib.h>

#include "config.h"

#define BTARC_MAXPATH		(256)

int btarc( void ) {
	char btarc[BTARC_MAXPATH];
	int r;
	
	/* System btawmrc */
	r = system( BTAWMRC_ETC );
	if( r != 0 ) {
		perror( "Error running " BTAWMRC_ETC ": " );
	}

	/* User btawmrc */
	r = snprintf( btarc, BTARC_MAXPATH, "%s/.btawmrc", getenv( "HOME" ) );
	if( r > BTARC_MAXPATH ) {
		fprintf( stderr, ".btawmrc path is longer than %d bytes\n", BTARC_MAXPATH );
		exit( 1 );
	}
	r = system( btarc );
	if( r != 0 ) {
		perror( "Error running ~/.btawmrc: " );
	}

	return( r );
}
